/ lang / me
ME
Syntax

    ME

Returns a reference to the current object.

| `ME` is mandatory when you want to call an inherited method, or access an inherited property or variable.

### Examples

    ' Gambas form

    ...

    PUBLIC SUB SetTitle(Title AS String)

      ME.Text = Title

    END

    PUBLIC SUB MoveRight(Step AS Integer)

      ME.Move(ME.X + Step, ME.Y)

    END

The next example shows that ME returns the Form, while LAST returns the activated Button.

    PUBLIC SUB Button5_Click()

    PRINT ME, LAST
    END
    <hr>(Form1 0x80d8090)	(Button 0x80fa060)

### See also

Object & Class Management